summaryrefslogtreecommitdiff
path: root/libs/cairo-1.16.0/test/run-cairo-test-suite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libs/cairo-1.16.0/test/run-cairo-test-suite.sh')
-rwxr-xr-xlibs/cairo-1.16.0/test/run-cairo-test-suite.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/libs/cairo-1.16.0/test/run-cairo-test-suite.sh b/libs/cairo-1.16.0/test/run-cairo-test-suite.sh
new file mode 100755
index 0000000..567d2b1
--- /dev/null
+++ b/libs/cairo-1.16.0/test/run-cairo-test-suite.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -m
+
+if `which gnome-screensaver-command`; then
+ gnome-screensaver-command -i -n "cairo-test-suite" -r "Cairo needs to read back from the screen in order to test rendering to xlib" &
+ pid=$!
+
+ restore_screensaver() { kill $pid; }
+else
+ restore_screensaver() { :; }
+fi
+
+trap cleanup SIGINT SIGTERM
+
+./cairo-test-suite "$*"
+
+restore_screensaver